function populate(inForm,start,end,selected,dcc)
{
	//init month options

	if(dcc){
		inForm.month.options[0] = new Option('mese',-1);
		inForm.month.options[1] = new Option('Gennaio',0);
		inForm.month.options[2] = new Option('Febbraio',1);
		inForm.month.options[3] = new Option('Marzo',2);
		inForm.month.options[4] = new Option('Aprile',3);
		inForm.month.options[5] = new Option('Maggio',4);
		inForm.month.options[6] = new Option('Giugno',5);
		inForm.month.options[7] = new Option('Luglio',6);
		inForm.month.options[8] = new Option('Agosto',7);
		inForm.month.options[9] = new Option('Settembre',8);
		inForm.month.options[10] = new Option('Ottobre',9);
		inForm.month.options[11] = new Option('Novembre',10);
		inForm.month.options[12] = new Option('Dicembre',11);
	} else {
		inForm.month.options[0] = new Option('Gennaio',0);
		inForm.month.options[1] = new Option('Febbraio',1);
		inForm.month.options[2] = new Option('Marzo',2);
		inForm.month.options[3] = new Option('Aprile',3);
		inForm.month.options[4] = new Option('Maggio',4);
		inForm.month.options[5] = new Option('Giugno',5);
		inForm.month.options[6] = new Option('Luglio',6);
		inForm.month.options[7] = new Option('Agosto',7);
		inForm.month.options[8] = new Option('Settembre',8);
		inForm.month.options[9] = new Option('Ottobre',9);
		inForm.month.options[10] = new Option('Novembre',10);
		inForm.month.options[11] = new Option('Dicembre',11);
	}

	//init day options

	var i=0;
	var j=0;
	while(j<31){
		if(dcc && i==0){
			inForm.day.options[i] = new Option('giorno',-1);
			i++;
		}
		else { 
			var x= String(j+1);
			inForm.day.options[i] = new Option(x,x);
			i++;
			j++;
		}
	}	
	//init year options
	
	var i=0;
	
	var j=end[0];
	while(j>=start[0]){
		if(dcc && i==0) {
			inForm.year.options[0] = new Option('anno',-1);
			i++;
		}
		else {
			var y = String(j);
			inForm.year.options[end[0]-start[0]+2-i] = new Option(y,j);
			i++;
			j--;
		}
	}
	//select specified year
	if(selected!=null) {
		for (var i=0 ; true ; i++) {
			if(inForm.year.options[i].value==selected[0]) {
				inForm.year.options[i].selected=true;
				break;
			}
		}
		//select specified month
	
	
		for(var i=0; true ;i++) {
			if(inForm.month.options[i].value==selected[1]) {
				inForm.month.options[i].selected=true;
				break;
			}
		}
		
		//select specified day
	
		for (var i=0; true ; i++) {
			if(inForm.day.options[i].value==selected[2]){
				inForm.day.options[i].selected=true;
				break;
			}
		}
	}
	update(inForm,start,end,dcc);
}

function update(inForm2,start,end,dcc)
{
	var selected=[inForm2.year.options[inForm2.year.selectedIndex].value,
		inForm2.month.options[inForm2.month.selectedIndex].value,
		inForm2.day.options[inForm2.day.selectedIndex].value];

	//set months' options to null
	var totalMonths=12;
	for(var i=totalMonths-1;i>=0;i--)
		inForm2.month.options[i]=null;
	if(dcc)
		inForm2.month.options[0]=null;
	//dcc on month's selection
	if(dcc && selected[0] == -1) {
		totalMonths=0;
		inForm2.month.options[0] = new Option('mese',-1);
		inForm2.month.options[0].selected=true;
		selected[1]=-1;
		inForm2.month.disabled=true;
		inForm2.day.disabled=true;
	}
	//insert right months
	else {
		inForm2.month.disabled=false;
		var startingMonth=0;
		var endingMonth=totalMonths-1;

		if(selected[0]==start[0])
			startingMonth=start[1];
		if(selected[0]==end[0])
			endingMonth=end[1];

		var monthIndex=0;
		if(dcc){
			inForm2.month.options[0] = new Option('mese',-1);
			monthIndex++;
		}
		for(var i=startingMonth; i<=endingMonth; i++,monthIndex++){
			switch(i){
				case 0: 
					inForm2.month.options[monthIndex] = new Option('Gennaio',0);
					break;
				case 1:
					inForm2.month.options[monthIndex] = new Option('Febbraio',1);
					break;
				case 2:
					inForm2.month.options[monthIndex] = new Option('Marzo',2);
					break;
				case 3:
					inForm2.month.options[monthIndex] = new Option('Aprile',3);
					break;
				case 4:
					inForm2.month.options[monthIndex] = new Option('Maggio',4);
					break;
				case 5:
					inForm2.month.options[monthIndex] = new Option('Giugno',5);
					break;
				case 6:
					inForm2.month.options[monthIndex] = new Option('Luglio',6);
					break;
				case 7:
					inForm2.month.options[monthIndex] = new Option('Agosto',7);
					break;
				case 8:
					inForm2.month.options[monthIndex] = new Option('Settembre',8);
					break;
				case 9:
					inForm2.month.options[monthIndex] = new Option('Ottobre',9);
					break;
				case 10:
					inForm2.month.options[monthIndex] = new Option('Novembre',10);
					break;
				case 11:
					inForm2.month.options[monthIndex] = new Option('Dicembre',11);
					break;
			}
		}
		if(selected[1]<startingMonth || selected[1]>endingMonth) {
			inForm2.month.options[0].selected=true;
			selected[1]=-1;
			inForm2.day.disabled=true;
		}
		else{
			inForm2.day.disabled=false;
			for (var i=0; true; i++) {
				if(inForm2.month.options[i].value == selected[1]) {
					inForm2.month.options[i].selected=true;
					selected[1]=inForm2.month.options[i].value;
					break;
				}
			}
		}
	}
	//set days' options to null
	for(i=31;i>=0;i--)
		inForm2.day.options[i]=null;
	if(dcc)
		inForm2.day.options[0]=null;

	var totalDays=0;
	
	if(dcc && selected[1] == -1)
		totalDays=0;
	else if( (selected[1] == 1) ) {
		if(selected[0] % 4 == 0)
			totalDays=29;
		else 
			totalDays=28;
	} else if( selected[1]==8 || selected[1]==3 || selected[1]==5 || selected[1]==10)
		totalDays=30;
	else
		totalDays=31;

	var dayIndex=0;
	var startingDay=1;
	if(dcc){
		inForm2.day.options[0] = new Option('giorno',-1);
		dayIndex++;
	}

	if(selected[0]==start[0] && selected[1]==start[1])
		startingDay=start[2];
	if(selected[0]==end[0] && selected[1]==end[1]){
		if(totalDays>end[2])
			totalDays=end[2];
	}
	for (var i=startingDay; i <=totalDays; i++,dayIndex++)
	{
		var x= String(i);
		inForm2.day.options[dayIndex] = new Option(x,x);
	}
	if(selected[2]>totalDays)
		inForm2.day.options[0].selected=true;
	else {
		for (var i=0; true; i++) {
			if(inForm2.day.options[i].value == selected[2]) {
				inForm2.day.options[i].selected=true;
				break;
			}
		}
	}
}
