function GestorePrezzoCabina(campoClasse, campoTipo, campoBambini, campoAdulti, campoTotale)
{
	this.campoClasse=campoClasse;
	this.campoTipo=campoTipo;
	this.campoBambini=campoBambini;
	this.campoAdulti=campoAdulti;
	this.campoTotale=campoTotale;

	this.aggiornaTotale=aggiornaTotale;
	this.setMaxBambini=setMaxBambini;
	this.classeCabinaChanged=classeCabinaChanged;
	this.tipoCabinaChanged=tipoCabinaChanged;
	this.bambiniChanged=bambiniChanged;
	this.setPrezzi=setPrezzi;
	
	this.campoClasse.options[0].selected=true;

	this.campoBambini.options[0]=new Option('--',0);
	this.campoBambini.options[0].selected=true;
	this.maxBambini=0;
	this.campoBambini.disabled=true;		

	this.campoTipo.disabled=true;
	this.campoAdulti.innerText="--";

	this.aggiornaTotale();
}

function setPrezzi(suite,vistaOceano,interna,scontoBambini)
{
	this.prezzoSuite=suite;
	this.prezzoVistaOceano=vistaOceano;
	this.prezzoInterna=interna;
	this.scontoBambini=scontoBambini;
}

function aggiornaTotale()
{
	var totale=0;
	var prezzoCabina;
	switch(Number(this.campoClasse.value)){
		case 1: prezzoCabina=this.prezzoSuite; break;
		case 2: prezzoCabina=this.prezzoVistaOceano; break;
		case 3: prezzoCabina=this.prezzoInterna; break;
		default: prezzoCabina=0;
	}
	switch(Number(this.campoTipo.value)){
		case 1: prezzoCabina=prezzoCabina; break;
		case 2: prezzoCabina=Math.round(prezzoCabina*0.9); break;
		case 3: prezzoCabina=Math.round(prezzoCabina*0.8); break;
		case 4: prezzoCabina=Math.round(prezzoCabina*0.7); break;
		default: prezzoCabina=0;
	}
	var costoAdulti=(this.campoTipo.value-this.campoBambini.value) * prezzoCabina;
	var costoBambini=Math.round(this.campoBambini.value * prezzoCabina * (100-this.scontoBambini)/100);
	totale=costoAdulti+costoBambini;

	if(totale>0) {
		this.campoTotale.innerText=totale+',00';
		this.totale=totale;
	} else {
		this.campoTotale.innerText='---';
		this.totale=0;
	}
}

function classeCabinaChanged()
{
	if(Number(this.campoClasse.value)>0) {
		this.campoTipo.disabled=false;
		this.campoBambini.disabled=false;
		this.tipoCabinaChanged();
	} else {
		this.campoTipo.disabled=true;
		this.campoBambini.disabled=true;
	}
	this.aggiornaTotale();
}

function tipoCabinaChanged()
{
	this.setMaxBambini(this.campoTipo.value-1);
	var adulti=this.campoTipo.value-this.campoBambini.value;
	if(adulti>0)
		this.campoAdulti.innerText=adulti;
	else this.campoAdulti.innerText="--";
	this.aggiornaTotale();
}

function bambiniChanged()
{
	var adulti=this.campoTipo.value-this.campoBambini.value;
	if(adulti>0)
		this.campoAdulti.innerText=String(adulti);
	else this.campoAdulti.innerText="--";
	this.aggiornaTotale();
}

function setMaxBambini(max)
{
	if(max>0) {
		if(max>this.maxBambini)
			for(var i=this.maxBambini+1;i<=max;i++)
				this.campoBambini.options[i]=new Option(i,i);
		else if(max<this.maxBambini)
			for(var i=this.maxBambini;i>max;i--)
					this.campoBambini.options[i]=null;
		this.maxBambini=max;
		this.campoBambini.disabled=false;
	} else {
		for(var i=this.maxBambini;i>0;i--)
			this.campoBambini.options[i]=null;
		this.campoBambini.disabled=true;
		this.maxBambini=0;
	}
}

function calcolaPrezzoCabina(classe,tipo,bambini)
{

}